Persistent Call Status
curl --request GET \
--url https://sa.dialgen.ai/api/v1/call/check-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://sa.dialgen.ai/api/v1/call/check-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sa.dialgen.ai/api/v1/call/check-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "cmk3n7v8l0001k004w0f0b3b1",
"status": "COMPLETED",
"direction": "OUTBOUND",
"duration": 35,
"createdAt": "2026-01-07T06:34:13.605Z",
"endedAt": "2026-01-07T06:34:51.871Z",
"contact": {
"name": "John Doe",
"phoneNumber": "+1234567890"
},
"agent": "Agent Name",
"recordingUrl": "https://...",
"transcription": [
{
"role": "assistant",
"content": "..."
},
{
"role": "user",
"content": "..."
}
]
}
}{
"error": "Bad Request",
"message": "Missing required parameter"
}{
"error": "Unauthorized",
"message": "Invalid or missing API key"
}{
"error": "Not Found",
"message": "Resource not found"
}{
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}Calls
Persistent Call Status
Retrieves the status of a particular call from long-term storage. Use this endpoint after the call has been removed from the live memory cache (after 30 days).
GET
/
api
/
v1
/
call
/
check-status
Persistent Call Status
Authorizations
Bearer token authentication. Obtain your API key from the Dialgen API Keys dashboard at https://sa.dialgen.ai/api-keys
Query Parameters
The call identifier
Example:
"cmk3n7v8l0001k004w0f0b3b1"
⌘I